### File

`packages/ecl/components/ecl-fact-figures/ecl-fact-figures.component.ts`

### Description

Main component for displaying a collection of fact and figure items in a responsive, styled grid layout.

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-fact-figures`
styles | `:host { display: block; }`
templateUrl | `./ecl-fact-figures.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
columns fontSize isCentered class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

columns
Type : `string`
Default value : `'3'`
Number of columns in the layout (as string). Default is `'3'`.

fontSize
Type : `"m" | "l"`
Default value : `'l'`
Font size variant. Can be: `'m'` – medium (smaller text) `'l'` – large (default)

isCentered
Type : `boolean`
Default value : `false`
Whether the content should be centered. Adds `ecl-fact-figures--centered` class when true.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Sets the CSS classes for the component, including layout and font size modifiers. Automatically adds: `ecl-fact-figures--font-m` when `fontSize` is `'m'` `ecl-fact-figures--col-{n}` depending on the `columns` value

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Sets the CSS classes for the component, including layout and font size modifiers. Automatically adds: `ecl-fact-figures--font-m` when `fontSize` is `'m'` `ecl-fact-figures--col-{n}` depending on the `columns` value Returns : `string`

# results matching ""

# No results matching ""